BPM(1)

NAME
bpm - menu-based binary package manager

SYNOPSIS
bpm [-hnVv] [-b baseURL] [-m machine] [-r release] [-w seconds]

DESCRIPTION
The bpm command is used to locate and install binary packages from any reachable URL.

The following command-line options are supported:

-b baseURL
    Specify a base URL from which to download binary packages. The default URL is ftp://ftp.NetBSD.org/pub/pkgsrc/packages.

-h  Print a help message and then exit.

-m machine
    Use machine as the machine architecture to be used, instead of that returned by uname(1).

-n  Don't actually execute the commands to add the package.

-r release
    Use release as the operating system release to be used, instead of that returned by uname(1).

-V  Print version number and exit.

-v  Turn on verbose output.

-w seconds
    The number of seconds to wait after displaying an error message and returning to normal menu operations.

bpm provides a menu-based binary package manager for NetBSD. bpm first connects to the URL using ftp(1), and displays a list of categories for which binary packages exist. If no categories are displayed, it could be that the machine architecture or operating system release string have been wrongly interpreted, and that it will be necessary to override this values by means of the command line options. Within a category, a list of packages will be displayed, and by selecting one using the number assigned to it, the package will be downloaded automatically, and installed, using the pkg_add(1) utility. It is also possible to change the category currently being examined, and to quit from the utility, simply by selecting the appropriate choices on the menu.

ENVIRONMENT
The environment variables which govern the behavior of ftp(1) and pkg_add(1) are valid for bpm.

SEE ALSO
ftp(1), pkg_add(1), uname(1)

AUTHORS
The bpm utility was written by Alistair Crooks <agc@NetBSD.org>.